// vue.config.js

/**
 * @type {import('@vue/cli-service').ProjectOptions}
 */
module.exports = {
    filenameHashing: false, // Allows us to easily setup direct links to the bundles in macron-restoration.xsl. You may want to change this for production in order to help with caching
    publicPath: process.env.NODE_ENV === 'production'
        ? '/greenstone3/interfaces/atea/korero-maori-asr/dist'
        : '/',

    chainWebpack: config => {
        config
            .plugin("html")
            .tap(args => {
                args[0].title = "Korero Māori Transcription Interface";
                return args;
            })
    },

    css: {
        loaderOptions: {
            sass: {
                prependData: "@use \"@/styles/_material.scss\";@use \"@/styles/theme.scss\";"
            }
        }
    }
}
